Enumerations | Functions

# utility.h File Reference

Go to the source code of this file.

## Enumerations
enum | PathType { UndefinedPath, FilesystemPath, RootPath, HeadPath, TailPath, BasePath, ExtensionPath, SubnodePath, CanonicalPath }
## Functions
WizardExport char * | Base64Encode (const unsigned char *, const size_t, size_t *)
WizardExport char *** | GetPathComponents (const char *, size_t *)
WizardExport const char * | ParseWizardTime (const char *, time_t *)
WizardExport FILE * | WizardOpenStream (const char *, const char *)
WizardExport unsigned char * | Base64Decode (const char *, size_t *)
WizardExport void | AppendFileExtension (const char *, char *)
WizardExport void | ChopPathComponents (char *, const size_t)
WizardExport void | GetPathComponent (const char *, PathType, char *)
WizardExport WizardBooleanType | GetExecutionPath (char *, const size_t)
WizardExport WizardBooleanType | IsAccessible (const char *)
WizardExport WizardBooleanType | IsWizardTrue (const char *)

## Enumeration Type Documentation

enum PathType

Enumerator:

  UndefinedPath |
  FilesystemPath |
  RootPath |
  HeadPath |
  TailPath |
  BasePath |
  ExtensionPath |
  SubnodePath |
  CanonicalPath |

## Function Documentation

WizardExport void AppendFileExtension | ( | const char * | ,
|  | char * |  |
| ) |  |  |

WizardExport unsigned char* Base64Decode | ( | const char * | ,
|  | size_t * |  |
| ) |  |  |

References AcquireQuantumMemory(), Base64, GetWizardModule, LogWizardEvent(), RelinquishWizardMemory(), and TraceEvent.

WizardExport char* Base64Encode | ( | const unsigned char * | ,
|  | const | size_t,
|  | size_t * |  |
| ) |  |  |

WizardExport void ChopPathComponents | ( | char * | ,
|  | const | size_t |
| ) |  |  |

WizardExport WizardBooleanType GetExecutionPath | ( | char * | ,
|  | const | size_t |
| ) |  |  |

WizardExport void GetPathComponent | ( | const char * | ,
|  | PathType | ,
|  | char * |  |
| ) |  |  |

References BasePath, CanonicalPath, CopyWizardMemory(), CopyWizardString(), ExtensionPath, FilesystemPath, GetWizardModule, HeadPath, IsAccessible(), IsBasenameSeparator, IsDirectory(), LogWizardEvent(), WizardPathExtent, RootPath, SubnodePath, TailPath, TraceEvent, UndefinedPath, and WizardFalse.

Referenced by AddPathToXMLTree(), AppendFileExtension(), ChopPathComponents(), GetXMLTreePath(), LoadConfigureList(), LoadLogList(), LoadMimeList(), OpenBlob(), and WizardsToolkitGenesis().

WizardExport char* ** GetPathComponents | ( | const char * | ,
|  | size_t * |  |
| ) |  |  |

References AcquireQuantumMemory(), CopyWizardString(), IsBasenameSeparator, WizardPathExtent, ResourceFatalError, and ThrowFatalException.

Referenced by AddPathToXMLTree(), and GetXMLTreePath().

WizardExport WizardBooleanType IsAccessible | ( | const char * |  | ) |

WizardExport WizardBooleanType IsWizardTrue | ( | const char * |  | ) |

References LocaleCompare(), WizardFalse, and WizardTrue.

Referenced by LoadConfigureList(), and LoadMimeList().

WizardExport const char* ParseWizardTime | ( | const char * | ,
|  | time_t * |  |
| ) |  |  |

References ResetWizardMemory().

WizardExport FILE* WizardOpenStream | ( | const char * | ,
|  | const char * |  |
| ) |  |  |

References RelinquishWizardMemory().

Referenced by LogWizardEventList(), and OpenBlob().